#!/bin/bash

declare -a hidden_size=("128" "256" "512" "1024")
declare -a hidden_layers=("2" "3")
declare -a learning_rate=("1e-3" "1e-4")

echo "Running WiC experiments without Approximation"

for layer in {0..12}
do
    for hs in ${hidden_size[@]}
    do
        for hl in ${hidden_layers[@]}
        do
            for lr in ${learning_rate[@]}
            do
                python wic_experiments.py --layer $layer --hidden_layers ${hl} --hidden_size ${hs} --lr ${lr} --savedir WiCNoApproximated
            done 
        done
    done
done